# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(Catalyst.pm) perl(Catalyst/Runtime.pm) perl(Class/MOP.pm) perl(Encode.pm) perl(Exporter.pm) perl(GD/SecurityImage.pm) perl(HTML/FormHandler/Meta/Role.pm) perl(HTML/Tidy.pm) perl(HTTP/Date.pm) perl(Moose/Exporter.pm) perl(Moose/Role.pm) perl(Moose/Util/MetaRole.pm) perl(Moose/Util/TypeConstraints.pm) perl(MooseX/Types/Moose.pm) perl(Test/Builder/Module.pm) perl-devel perl-podlators
# END SourceDeps(oneline)
Name:           perl-HTML-FormHandler
Version:        0.40020
Release:        alt1_1
Summary:        HTML forms using Moose
License:        GPL+ or Artistic
Group:          Development/Perl
URL:            http://search.cpan.org/dist/HTML-FormHandler/
Source0:        http://www.cpan.org/authors/id/G/GS/GSHANK/HTML-FormHandler-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl(aliased.pm)
BuildRequires:  perl(Carp.pm)
BuildRequires:  perl(Class/Load.pm)
BuildRequires:  perl(Config/Any.pm)
BuildRequires:  perl(Data/Clone.pm)
BuildRequires:  perl(DateTime.pm)
BuildRequires:  perl(DateTime/Format/Strptime.pm)
BuildRequires:  perl(Email/Valid.pm)
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(File/ShareDir.pm)
BuildRequires:  perl(File/ShareDir/Install.pm)
BuildRequires:  perl(File/Spec.pm)
BuildRequires:  perl(HTML/TreeBuilder.pm)
BuildRequires:  perl(JSON.pm)
BuildRequires:  perl(Locale/Maketext.pm)
BuildRequires:  perl(Moose.pm)
BuildRequires:  perl(MooseX/Getopt.pm)
BuildRequires:  perl(MooseX/Types.pm)
BuildRequires:  perl(MooseX/Types/Common.pm)
BuildRequires:  perl(MooseX/Types/LoadableClass.pm)
BuildRequires:  perl(namespace/autoclean.pm)
BuildRequires:  perl(PadWalker.pm)
BuildRequires:  perl(Sub/Exporter.pm)
BuildRequires:  perl(Sub/Name.pm)
BuildRequires:  perl(Template.pm)
BuildRequires:  perl(Test/Differences.pm)
BuildRequires:  perl(Test/Exception.pm)
BuildRequires:  perl(Test/Memory/Cycle.pm)
BuildRequires:  perl(Test/More.pm)
BuildRequires:  perl(Try/Tiny.pm)
Requires:       perl(Class/Load.pm) >= 0.06
Requires:       perl(Locale/Maketext.pm) >= 1.09
Requires:       perl(Moose.pm) >= 2.000.700
Requires:       perl(MooseX/Getopt.pm) >= 0.16
Requires:       perl(MooseX/Types.pm) >= 0.20
Requires:       perl(MooseX/Types/Common.pm)
Requires:       perl(MooseX/Types/LoadableClass.pm) >= 0.006
Requires:       perl(namespace/autoclean.pm) >= 0.09

# hidden from Pause
Provides:       perl(HTML::FormHandler::Meta::Role)
Provides:       perl(HTML::FormHandler::Model::CDBI) = 0.02
Provides:       perl(HTML::FormHandler::Params)
Provides:       perl(HTML::FormHandler::Field::Repeatable::Instance)


Source44: import.info

%description
HTML::FormHandler is a form handling class that validates HTML form data and,
for database forms, saves it to the database on validation. It has field
classes that can be used for creating a set of widgets and highly automatic
templates. There are two simple rendering roles plus a set of widget roles for
individual form and field classes. FormHandler is designed to make it easy to
produce alternative rendering modules.

%prep
%setup -q -n HTML-FormHandler-%{version}

find lib -type f -print0 | xargs -0 chmod 644

%build
%{__perl} Makefile.PL INSTALLMAN1DIR=%_man1dir INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;


%check
make test

%files
%doc Changes LICENSE README TODO
%{perl_vendor_privlib}/*

%changelog
* Mon Feb 18 2013 Igor Vlasenko <viy@altlinux.ru> 0.40020-alt1_1
- update to new release by fcimport

* Wed Dec 12 2012 Igor Vlasenko <viy@altlinux.ru> 0.40013-alt1_1
- update to new release by fcimport

* Sat May 26 2012 Igor Vlasenko <viy@altlinux.ru> 0.36003-alt1_1
- fc import

